Skip to content
Permalink
Browse files

LSC: Mark Python binaries with explicit python_version.

Having PY2 global version default is deprecated and change in 2019Q3.  This LSC ([] is a prerequisite to that Blaze change to prevent unintended breakages when we flip the default.

This CL is no-op to “freeze” the world. If it conflicts with your plans to move to PY3, feel free to change forward to PY3 as you see fit (eg. remove python_version when you move to py2and3_test).

BEGIN_PUBLIC
n/a
END_PUBLIC

-------------
Created by MOE: https://github.com/google/moe
MOE_MIGRATED_REVID=245028632
  • Loading branch information...
jianglai committed Apr 24, 2019
1 parent 37c5139 commit fbb60df0197cbe8a00546b03e9bd172efd63b8ae
Showing with 2 additions and 0 deletions.
  1. +2 −0 python/google/registry/scripts/BUILD
@@ -5,6 +5,7 @@ licenses(["notice"]) # Apache 2.0
py_binary(
name = "xml_to_index_yaml_translator",
srcs = ["xml_to_index_yaml_translator.py"],
python_version = "PY2",
deps = [":xml_to_index_yaml_translator_lib"],
)

@@ -22,5 +23,6 @@ py_test(
"testdata/datastore-indexes.xml",
"testdata/index.yaml",
],
python_version = "PY2",
deps = [":xml_to_index_yaml_translator_lib"],
)

0 comments on commit fbb60df

Please sign in to comment.
You can’t perform that action at this time.